cc.funkemunky.api.commands

## Class FunkeArgument

- java.lang.Object
- - cc.funkemunky.api.commands.FunkeArgument

Direct Known Subclasses:
  DevArgument, ProfileArgument, ReloadArgument, ToggleArgument, UpdateArgument

    public abstract class FunkeArgument
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`FunkeArgument(FunkeCommand parent, java.lang.String name, java.lang.String display, java.lang.String description)`
`FunkeArgument(FunkeCommand parent, java.lang.String name, java.lang.String display, java.lang.String description, java.lang.String... permission)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `addAlias(java.lang.String alias)`
`void` `addTabComplete(int arg, java.lang.String... name)`
`FunkeCommand` `getParent()`
`abstract void` `onArgument(org.bukkit.command.CommandSender sender, org.bukkit.command.Command cmd, java.lang.String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FunkeArgument

    public FunkeArgument(FunkeCommand parent,
                         java.lang.String name,
                         java.lang.String display,
                         java.lang.String description)

#### FunkeArgument

    public FunkeArgument(FunkeCommand parent,
                         java.lang.String name,
                         java.lang.String display,
                         java.lang.String description,
                         java.lang.String... permission)

### Method Detail

#### addAlias

    public void addAlias(java.lang.String alias)

#### addTabComplete

    public void addTabComplete(int arg,
                               java.lang.String... name)

#### onArgument

    public abstract void onArgument(org.bukkit.command.CommandSender sender,
                                    org.bukkit.command.Command cmd,
                                    java.lang.String[] args)

#### getParent

    public FunkeCommand getParent()